Bitmask – Comunicación cifrada para simples mortales

La vigilancia de las comunicaciones están a la orden del día y agencias de inteligencia (espionaje) como la NSA (National Security Agency) están viendo nuestras comunicaciones que viajan por la internet en todo momento con lo cuál es una violación a nuestra privacidad , derechos humanos y está siendo amenazada, para tratar de contrarrestar esto tenemos que utilizar herramientas que puedan protegernos lo más posible a mirones y si eres de aquellas personas que se ha preocupado por su privacidad que mejor que empezar a usar comunicaciones cifradas punto a punto como por ejemplo usar una VPN (Virtual Private Network)-(Red Privada Virtual(RPV)) en esta ocasión Bitmask (Cliente GUI) usa en el fondo de su funcionamiento (OpenVPN) pero con ciertas características mejoradas.

¿Que soporta LEAP? Bitmak es un programa que conecta con los servidores del Proyecto LEAP, hasta el momento sólo soporta internet cifrada. Pero no se limita ahí también se piensa dar servicios de correo electrónico cifrado, chat seguro , sincronización de respaldos cifrados,etc.

Puedes ver los servicios Aquí

Como mencionaba Lulzcat con una VPN los datos se cifran de punto a punto , de cliente al servidor, sin que el ISP tenga conocimiento de lo que pasa dentro de la comunicación, ya que los datos en su transcurso del cliente al servidor van cifrados.

En esta publicación será a manera de Tutorial de cómo instalarlo y usarlo lo más simple posible así que manos a la obra!!!.

Instalación en Distros basadas en Debian y Ubuntu

La Manera más fácil para un usuario principiante:

1.- El primer paso es agregar los repositorios del proyecto LEAP a nuestra lista de repositorios asi en terminal usar:

sudo gedit /etc/apt/source.list

seguido de tu contraseña. cap4 una vez abierto copiar lo siguiente hasta el final del archivo:

deb http://deb.bitmask.net/debian trusty main

cap5

guardar y salir de gedit.

2.- El segundo paso es descargarnos la llave del Proyecto LEAP abrimos la siguiente liga en el navegador:

https://dl.bitmask.net/apt.key

cap6

guardarla en el lugar de tu preferencia.

Para verificar que nos hemos descargado la llave correcta del Proyecto LEAP debemos saber sus características como el tipo de llave,fortaleza,fecha de creación y caducidad, huella dactilar.

   Tipo de llave               : RSA
    Fortaleza                   : 4096
    Huella dactilar             :
    1E45 3B2C E87B EE2F 7DFE 9966 1E34 A182 8E20 7901
    Fecha de creación           : 2013-02-06
    Fecha de caducidad          : 2016-01-30

3.- Ahora vamos a nuestro administrador de Fuentes ó Origenes de Software/Actualización donde se administran las llaves de los repositorios de software según sea su distro en este caso Trisquel 7. cap7 y importamos la llave que nos hemos descargado de la página: cap8 cap9

4.-Ahora vamos a actualizar nuestros repositorios escribiendo en la Terminal:

sudo apt-get update

cap10

5.-Una vez Actualizado ahora vamos a instalar los siguientes paquetes:

sudo apt-get install bitmask leap-keyring

cap11

6.- Iniciando por primera vez Bitmask:

Vamos a Aplicaciones->Internet->Bitmask cap12 Ahora podemos crearnos una cuenta en cualquiera de los proveedores disponibles pero sólo se puede usar uno a la vez cap13

7.- En este paso una vez que hayamos seleccionado un proveedor hacemos clic en el Botón Corroborar para saber la disponibilidad de sus servicios. cap14

8.- En este paso introducimos nuestro usuario y contraseña y hacemos clic en Registrar cap15 cap16

Y con esto ya tenemos una navegación cifrada de punto a punto con los servidores de LEAP.

Nota: Bitmask está en desarollo (BETA 0.8.1) y no está libre de fallos de 
programación y puedes verlos Aquí -> https://leap.se/code/search

Ayuda a Bitmask

¿Como colaborar al mejoramiento de Bitmask? Bueno podemos colaborar con lo siguiente:

  1. Si sabes programar involúcrate Aquí
  2. Testear Bitmask en más distribuciones (basadas en debian-ubuntu)
  3. Reportar algún bug por muy sencillo que sea (detállalo paso a paso) Aquí
  4. Puedes sugerir alguna función Aquí

Bueno hasta aquí el Tutorial largito con imágenes , aunque también cabe la posibilidad de convertirse en un Proovedor de Servicios de LEAP/Bitmask pero eso será en otra ocasión.

Bien este ha sido mi primer Post en El binario.net , le doy las Gracias a Fanta por haberme dado el espacio y esperarme a publicarlo y bueno espero les haya gustado, Saludos y Feliz navegación Cifrada.

Ligas:

  1. https://bitmask.net/
  2. https://leap.se/en
  3. https://leap.se/code/search
  4. https://leap.se/en/get-involved
  5. https://es.wikipedia.org/wiki/Red_privada_virtual
  6. https://es.wikipedia.org/wiki/Interfaz_gráfica_de_usuario
  7. https://es.wikipedia.org/wiki/Proveedor_de_servicios_de_Internet
Compartir

15 Comentarios

    1. Gracias por tu comentario efecto99 y espero hagan alguna sugerencia los lectores del binario para hacer más tutoriales para los simples mortales. saludos

  1. Hola buenas tardes, sigo los pasos y todo bien hasta que llego a la instalación, la cual me arroja el siguiente error:

    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    No se pudieron instalar algunos paquetes. Esto puede significar que
    usted pidió una situación imposible o, si está usando la distribución
    inestable, que algunos paquetes necesarios no han sido creados o han
    sido movidos fuera de Incoming.
    La siguiente información puede ayudar a resolver la situación:

    Los siguientes paquetes tienen dependencias incumplidas:
    bitmask : Depende: leap-keymanager (>= 0.5.1) pero no va a instalarse
    Depende: leap-mail (>= 0.4.1) pero no va a instalarse
    Depende: python-leap-common (>= 0.5.1) pero no va a instalarse
    Depende: python-logbook (>= 0.7.0-1) pero no va a instalarse
    Depende: python-txzmq (>= 0.7.3) pero no va a instalarse
    Depende: python-zmq (>= 14.4.1-1.1) pero no va a instalarse
    Depende: soledad-client (>= 0.8.0) pero no va a instalarse
    Depende: python-twisted-core (>= 14.0.2) pero 13.2.0-1ubuntu1 va a ser instalado
    E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.

    Uso Mint Rosa, basado en Ubuntu 14.04. Alguna solución?

    Gracias.

    1. Tu versión de ubuntu tiene ya dos años, y las dependencias que necesita bitmask, no tienen la versión correcta en 14.04, por ejemplo den python-twisted donde se necesita una version >= 14.0.2)

      Ejemplo: http://packages.ubuntu.com/trusty/python-twisted-core

      Necesitas actualizar su sistema ubuntu a la ultima versión disponible para poder cumplir con las dependencias:
      sudo apt-get update
      sudo apt-get dist-upgrade
      O bajarte la ultima iso

Deja una respuesta

Your email address will not be published. Required fields are marked *

To create code blocks or other preformatted text, indent by four spaces:

    This will be displayed in a monospaced font. The first four 
    spaces will be stripped off, but all other whitespace
    will be preserved.
    
    Markdown is turned off in code blocks:
     [This is not a link](http://example.com)

To create not a block, but an inline code span, use backticks:

Here is some inline `code`.

For more help see http://daringfireball.net/projects/markdown/syntax